# Designate OpenStack Client Command Reference

List of released CLI commands available in OpenStack client. These commands can be referenced by doing `openstack help <command>`.

## Managing the DNS Service

### dns quota list

List quotas

    dns quota list
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID Default: current project

This command is provided by the python-designateclient plugin.

### dns quota reset

Reset quotas

    dns quota reset
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID

This command is provided by the python-designateclient plugin.

### dns quota set

Set quotas

    dns quota set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--project-id PROJECT_ID]
        [--api-export-size <api-export-size>]
        [--recordset-records <recordset-records>]
        [--zone-records <zone-records>]
        [--zone-recordsets <zone-recordsets>]
        [--zones <zones>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--project-id <PROJECT_ID>

  Project ID

--api-export-size <api-export-size>

  New value for the api-export-size quota

--recordset-records <recordset-records>

  New value for the recordset-records quota

--zone-records <zone-records>

  New value for the zone-records quota

--zone-recordsets <zone-recordsets>

  New value for the zone-recordsets quota

--zones <zones>

  New value for the zones quota

This command is provided by the python-designateclient plugin.

### dns service list

List service statuses

    dns service list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--hostname HOSTNAME]
        [--service_name SERVICE_NAME]
        [--status STATUS]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--hostname <HOSTNAME>

  Hostname

--service_name <SERVICE_NAME>

  Service Name

--status <STATUS>

  Status

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### dns service show

Show service status details

    dns service show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Service Status ID

This command is provided by the python-designateclient plugin.

## Pointer Records

### ptr record list

List floatingip ptr records

    ptr record list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### ptr record set

Set floatingip ptr record

    ptr record set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--description DESCRIPTION | --no-description]
        [--ttl TTL | --no-ttl]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id
        ptrdname

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--description <DESCRIPTION>

  Description

--no-description

--ttl <TTL>

  TTL

--no-ttl

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

ptrdname

  PTRD Name

This command is provided by the python-designateclient plugin.

### ptr record show

Show floatingip ptr record details

    ptr record show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

This command is provided by the python-designateclient plugin.

### ptr record unset

Unset floatingip ptr record

    ptr record unset
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        floatingip_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

floatingip_id

  Floating IP ID in format region:floatingip_id

This command is provided by the python-designateclient plugin.

## Record Sets

### recordset create

Create new recordset

    recordset create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --record RECORD
        --type TYPE
        [--ttl TTL]
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id
        name

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--record <RECORD>

  RecordSet Record, repeat if necessary

--type <TYPE>

  RecordSet Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

name

  RecordSet Name

This command is provided by the python-designateclient plugin.

### recordset delete

Delete recordset

    recordset delete
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--edit-managed]
        zone_id
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--edit-managed

  Edit resources marked as managed. Default: False

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

### recordset list

List recordsets

    recordset list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--type TYPE]
        [--data DATA]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--status STATUS]
        [--action ACTION]
        [--long]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  RecordSet Name

--type <TYPE>

  RecordSet Type

--data <DATA>

  RecordSet Record Data

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--status <STATUS>

  RecordSet Status

--action <ACTION>

  RecordSet Action

--long

  List additional fields in output

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID. To list all recordsets specify ‘all’

This command is provided by the python-designateclient plugin.

### recordset set

Set recordset properties

    recordset set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--record RECORD]
        [--description DESCRIPTION | --no-description]
        [--ttl TTL | --no-ttl]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--edit-managed]
        zone_id
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--record <RECORD>

  RecordSet Record, repeat if necessary

--description <DESCRIPTION>

  Description

--no-description

--ttl <TTL>

  TTL

--no-ttl

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--edit-managed

  Edit resources marked as managed. Default: False

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

### recordset show

Show recordset details

    recordset show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

id

  RecordSet ID

This command is provided by the python-designateclient plugin.

## Top Level Domains

### tld create

Create new tld

    tld create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --name NAME
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  TLD Name

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### tld delete

Delete tld

    tld delete [--all-projects] [--sudo-project-id SUDO_PROJECT_ID] id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

### tld list

List tlds

    tld list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  TLD NAME

--description <DESCRIPTION>

  TLD Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### tld set

Set tld properties

    tld set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name NAME]
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  TLD Name

--description <DESCRIPTION>

  Description

--no-description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

### tld show

Show tld details

    tld show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TLD name or ID

This command is provided by the python-designateclient plugin.

## Transaction Signature Keys

### tsigkey create

Create new tsigkey

    tsigkey create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --name NAME
        --algorithm ALGORITHM
        --secret SECRET
        --scope SCOPE
        --resource-id RESOURCE_ID
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  TSIGKey Name

--algorithm <ALGORITHM>

  TSIGKey algorithm

--secret <SECRET>

  TSIGKey secret

--scope <SCOPE>

  TSIGKey scope

--resource-id <RESOURCE_ID>

  TSIGKey resource_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### tsigkey delete

Delete tsigkey

    tsigkey delete [--all-projects] [--sudo-project-id SUDO_PROJECT_ID] id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

### tsigkey list

List tsigkeys

    tsigkey list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--algorithm ALGORITHM]
        [--scope SCOPE]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  TSIGKey NAME

--algorithm <ALGORITHM>

  TSIGKey algorithm

--scope <SCOPE>

  TSIGKey scope

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### tsigkey set

Set tsigkey properties

    tsigkey set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name NAME]
        [--algorithm ALGORITHM]
        [--secret SECRET]
        [--scope SCOPE]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <NAME>

  TSIGKey Name

--algorithm <ALGORITHM>

  TSIGKey algorithm

--secret <SECRET>

  TSIGKey secret

--scope <SCOPE>

  TSIGKey scope

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

### tsigkey show

Show tsigkey details

    tsigkey show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  TSIGKey ID

This command is provided by the python-designateclient plugin.

## Managing Zones

### zone abandon

Abandon a zone

    zone abandon [--all-projects] [--sudo-project-id SUDO_PROJECT_ID] id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone axfr

AXFR a zone

    zone axfr [--all-projects] [--sudo-project-id SUDO_PROJECT_ID] id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone blacklist create

Create new blacklist

    zone blacklist create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --pattern PATTERN
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--pattern <PATTERN>

  Blacklist pattern

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone blacklist delete

Delete blacklist

    zone blacklist delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

### zone blacklist list

List blacklists

    zone blacklist list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone blacklist set

Set blacklist properties

    zone blacklist set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--pattern PATTERN]
        [--description DESCRIPTION | --no-description]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--pattern <PATTERN>

  Blacklist pattern

--description <DESCRIPTION>

  Description

--no-description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

### zone blacklist show

Show blacklist details

    zone blacklist show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Blacklist ID

This command is provided by the python-designateclient plugin.

### zone create

Create new zone

    zone create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --email EMAIL
        [--type {PRIMARY,SECONDARY}]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--masters MASTERS [MASTERS ...]]
        [--attributes ATTRIBUTES [ATTRIBUTES ...]]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        name

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--email <EMAIL>

  Zone Email

--type <TYPE>

  Zone Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--masters <MASTERS>

  Zone Masters

--attributes <ATTRIBUTES>

  Zone Attributes

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

name

  Zone Name

This command is provided by the python-designateclient plugin.

### zone delete

Delete zone

    zone delete
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--delete-shares]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--hard-delete]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--delete-shares

  Delete existing zone shares. Default: False

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--hard-delete

  Delete zone along-with backend zone resources (i.e. files). Default: False

id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone export create

Export a Zone

    zone export create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone export delete

Delete a Zone Export

    zone export delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

### zone export list

List Zone Exports

    zone export list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone export show

Show a Zone Export

    zone export show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

### zone export showfile

Show the zone file for the Zone Export

    zone export showfile
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_export_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_export_id

  Zone Export ID

This command is provided by the python-designateclient plugin.

### zone import create

Import a Zone from a file on the filesystem

    zone import create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_file_path

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_file_path

  Path to a zone file

This command is provided by the python-designateclient plugin.

### zone import delete

Delete a Zone Import

    zone import delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_import_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_import_id

  Zone Import ID

This command is provided by the python-designateclient plugin.

### zone import list

List Zone Imports

    zone import list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone import show

Show a Zone Import

    zone import show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_import_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_import_id

  Zone Import ID

This command is provided by the python-designateclient plugin.

### zone list

List zones

    zone list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name NAME]
        [--email EMAIL]
        [--type {PRIMARY,SECONDARY}]
        [--ttl TTL]
        [--description DESCRIPTION]
        [--status STATUS]
        [--long]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <NAME>

  Zone Name

--email <EMAIL>

  Zone Email

--type <TYPE>

  Zone Type

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--status <STATUS>

  Zone Status

--long

  List additional fields in output

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone move

Move a zone to another pool

    zone move
        [--pool-id POOL_ID]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

--pool-id <POOL_ID>

  Pool ID

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone set

Set zone properties

    zone set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--email EMAIL]
        [--ttl TTL]
        [--description DESCRIPTION | --no-description]
        [--masters MASTERS [MASTERS ...]]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--email <EMAIL>

  Zone Email

--ttl <TTL>

  Time To Live (Seconds)

--description <DESCRIPTION>

  Description

--no-description

--masters <MASTERS>

  Zone Masters

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone share create

Share a Zone

    zone share create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        target_project_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

target_project_id

  Target project ID to share the zone with.

This command is provided by the python-designateclient plugin.

### zone share delete

Delete a Zone Share

    zone share delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        shared_zone_id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

shared_zone_id

  The zone share ID to delete.

This command is provided by the python-designateclient plugin.

### zone share list

List Zone Shares

    zone share list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        [--target-project-id TARGET_PROJECT_ID]
        zone

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

--target-project-id <TARGET_PROJECT_ID>

  The target project ID to filter on.

zone

  The zone name or ID to share.

This command is provided by the python-designateclient plugin.

### zone share show

Show Zone Share Details

    zone share show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone
        shared_zone_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone

  The zone name or ID to share.

shared_zone_id

  The zone share ID to show.

This command is provided by the python-designateclient plugin.

### zone show

Show zone details

    zone show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone ID

This command is provided by the python-designateclient plugin.

### zone transfer accept list

List Zone Transfer Accepts

    zone transfer accept list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone transfer accept request

Accept a Zone Transfer Request

    zone transfer accept request
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        --transfer-id TRANSFER_ID
        --key KEY
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--transfer-id <TRANSFER_ID>

  Transfer ID

--key <KEY>

  Transfer Key

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone transfer accept show

Show Zone Transfer Accept

    zone transfer accept show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Tranfer Accept ID

This command is provided by the python-designateclient plugin.

### zone transfer request create

Create new zone transfer request

    zone transfer request create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--target-project-id TARGET_PROJECT_ID]
        [--description DESCRIPTION]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        zone_id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--target-project-id <TARGET_PROJECT_ID>

  Target Project ID to transfer to.

--description <DESCRIPTION>

  Description

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

zone_id

  Zone ID to transfer.

This command is provided by the python-designateclient plugin.

### zone transfer request delete

Delete a Zone Transfer Request

    zone transfer request delete
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Transfer Request ID

This command is provided by the python-designateclient plugin.

### zone transfer request list

List Zone Transfer Requests

    zone transfer request list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

This command is provided by the python-designateclient plugin.

### zone transfer request set

Set a Zone Transfer Request

    zone transfer request set
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--description
        DESCRIPTION
        |
        --no-description
        ]
        [--target-project-id TARGET_PROJECT_ID]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--description <DESCRIPTION>

  Description

--no-description

--target-project-id <TARGET_PROJECT_ID>

  Target Project ID to transfer to.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Transfer Request ID

This command is provided by the python-designateclient plugin.

### zone transfer request show

Show Zone Transfer Request Details

    zone transfer request show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--all-projects]
        [--sudo-project-id SUDO_PROJECT_ID]
        id

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--all-projects

  Show results from all projects. Default: False

--sudo-project-id <SUDO_PROJECT_ID>

  Project ID to impersonate for this command. Default: None

id

  Zone Tranfer Request ID

This command is provided by the python-designateclient plugin.

this page last updated: 2026-02-27 12:37:25

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug